List conversations
curl --request GET \
--url https://dust.tt/api/w/{wId}/assistant/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/w/{wId}/assistant/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/w/{wId}/assistant/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversations": [
{
"id": 123,
"created": 123,
"updated": 123,
"sId": "<string>",
"depth": 123,
"unread": true,
"lastReadMs": 123,
"actionRequired": true,
"hasError": true,
"title": "<string>",
"spaceId": "<string>",
"triggerId": "<string>",
"metadata": {},
"requestedSpaceIds": [
"<string>"
],
"forkingData": {
"forkedFrom": {
"parentConversationId": "<string>",
"parentConversationTitle": "<string>",
"sourceMessageId": "<string>",
"branchedAt": 123,
"user": {
"sId": "<string>",
"id": 123,
"createdAt": 123,
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"image": "<string>",
"lastLoginAt": 123
}
},
"forkedChildren": [
{
"childConversationId": "<string>",
"childConversationTitle": "<string>",
"sourceMessageId": "<string>",
"branchedAt": 123,
"user": {
"sId": "<string>",
"id": 123,
"createdAt": 123,
"username": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"image": "<string>",
"lastLoginAt": 123
}
}
]
}
}
],
"hasMore": true,
"lastValue": "<string>"
}Private Conversations
List conversations
Retrieve a paginated list of conversations for the authenticated user in the workspace.
GET
/
api
/
w
/
{wId}
/
assistant
/
conversations
List conversations
⌘I